コミュニティを検索
curl --request GET \
--url https://api.x.com/2/communities/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/communities/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/communities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}コミュニティを検索
コミュニティを検索
指定した検索クエリに一致するコミュニティの一覧を取得します。
GET
/
2
/
communities
/
search
コミュニティを検索
承認
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
コミュニティを検索するためのクエリ。
Required string length:
1 - 4096例:
"Love"
1 回のリクエストで返す検索結果の最大件数。
必須範囲:
10 <= x <= 100このパラメータは、結果の次の「ページ」を取得するために使用します。指定する値は API が返すレスポンスからそのまま取得し、変更しないでください。 次のトークン。
Minimum string length:
1このパラメータは、結果の次のページを取得するために使用します。このパラメータの値は API のレスポンスからそのまま取得し、変更しないでください。 次のトークン。
Minimum string length:
1表示対象の Community フィールドをカンマ区切りで指定するリスト。 Community オブジェクトで使用可能なフィールド。
Minimum array length:
1利用可能なオプション:
access, created_at, description, id, join_policy, member_count, name 例:
[
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]
レスポンス
リクエストは成功しました。
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes